/*
 * EC: Define some things that don't seem to be in any VMS include files.
 */

#define IFNAMSIZ	16


#define IFF_UP		0x1		/* interface is up */
#define IFF_BROADCAST	0x2		/* broadcast address valid */
#define IFF_DEBUG	0x4		/* turn on debugging */
#define IFF_LOOPBACK	0x8		/* is a loopback net */
#define IFF_POINTOPOINT 0x10		/* interface is point-to-point link */
#define IFF_NOTRAILERS	0x20		/* avoid use of trailers */
#define IFF_RUNNING	0x40		/* resources allocated */
#define IFF_NOARP	0x80		/* no address resolution protocol */
/* next two not supported now, but reserved: */
#define IFF_PROMISC	0x100		/* receive all packets */
#define IFF_ALLMULTI	0x200		/* receive all multicast packets */
/*
 * The IFF_MULTICAST flag indicates that the network can support the
 * transmission and reception of higher-level (e.g., IP) multicast packets.
 * It is independent of hardware support for multicasting; for example,
 * point-to-point links or pure broadcast networks may well support
 * higher-level multicasts.
 */
#define IFF_MULTICAST   0x800           /* supports multicast */
#define IFF_COMPPROT	0x4000		/* compress ppp protocol */
#define IFF_COMPAC	0x8000		/* compress ppp address/control */
/* flags set internally only: */
#define IFF_CANTCHANGE	(IFF_BROADCAST | IFF_POINTOPOINT | \
			 IFF_RUNNING | IFF_MULTICAST)

